_OrtpKalmanRLS Struct Reference

`#include <utils.h>`

## Data Fields

double | m
double | b
double | P [2][2]
double | lambda

## Detailed Description

Utility object to interpolate linear model based on captures with 0-mean noise. Based on the model (x, y) where y evolves depending on x with relation y = m*x+b, it will estimate unknown values b, m using given noisy measures xmes and ymes, eg real system is evolving with: y = m * x + b + noise. Note: If noise is NOT white, the residue will be absorbed by one of the estimators. It is an implementation of recursive least square algorithm, based on Kalman filter.

## Field Documentation

## lambda

double _OrtpKalmanRLS::lambda

Forgetting factor in [94, .999]. Used when unknown parameters vary in time.

The documentation for this struct was generated from the following file:

- include/ortp/utils.h